import * as PropTypes from 'prop-types';
import { EventListenerOptions, EventTypes, Target, TargetRef } from './types';
declare function EventListener<T extends EventTypes>(props: EventListenerOptions<T>): null;
declare namespace EventListener {
    var displayName: string;
    var propTypes: {
        capture: PropTypes.Requireable<boolean>;
        listener: PropTypes.Validator<(...args: any[]) => any>;
        target: PropTypes.Validator<Target>;
        targetRef: PropTypes.Validator<TargetRef>;
        type: PropTypes.Validator<"scroll" | "copy" | "progress" | "reset" | "drag" | "input" | "select" | "submit" | "fullscreenchange" | "fullscreenerror" | "pointerlockchange" | "pointerlockerror" | "readystatechange" | "visibilitychange" | "abort" | "animationcancel" | "animationend" | "animationiteration" | "animationstart" | "auxclick" | "blur" | "cancel" | "canplay" | "canplaythrough" | "change" | "click" | "close" | "contextmenu" | "cuechange" | "dblclick" | "dragend" | "dragenter" | "dragexit" | "dragleave" | "dragover" | "dragstart" | "drop" | "durationchange" | "emptied" | "ended" | "error" | "focus" | "focusin" | "focusout" | "gotpointercapture" | "invalid" | "keydown" | "keypress" | "keyup" | "load" | "loadeddata" | "loadedmetadata" | "loadend" | "loadstart" | "lostpointercapture" | "mousedown" | "mouseenter" | "mouseleave" | "mousemove" | "mouseout" | "mouseover" | "mouseup" | "pause" | "play" | "playing" | "pointercancel" | "pointerdown" | "pointerenter" | "pointerleave" | "pointermove" | "pointerout" | "pointerover" | "pointerup" | "ratechange" | "resize" | "securitypolicyviolation" | "seeked" | "seeking" | "selectionchange" | "selectstart" | "stalled" | "suspend" | "timeupdate" | "toggle" | "touchcancel" | "touchend" | "touchmove" | "touchstart" | "transitioncancel" | "transitionend" | "transitionrun" | "transitionstart" | "volumechange" | "waiting" | "wheel" | "cut" | "paste">;
    } | {
        capture?: undefined;
        listener?: undefined;
        target?: undefined;
        targetRef?: undefined;
        type?: undefined;
    };
    var defaultProps: {
        capture: boolean;
    };
}
export default EventListener;
